---
lang: en
title: 'API docs: repository.defaultcrudrepository.exists'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.defaultcrudrepository.exists.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [DefaultCrudRepository](./repository.defaultcrudrepository.md) &gt; [exists](./repository.defaultcrudrepository.exists.md)

## DefaultCrudRepository.exists() method

<b>Signature:</b>

```typescript
exists(id: ID, options?: Options): Promise<boolean>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  id | ID |  |
|  options | [Options](./repository.options.md) |  |

<b>Returns:</b>

Promise&lt;boolean&gt;


